Crux: BRE/WFE - Task #17852

WSC: WFinstancelList()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Kanchan Barve % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb

Description

History

#1 - 17/02/2024 05:27 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 17/02/2024 05:27 PM - Shuvam Misra

- Target version set to Sprint 29 Feb

#3 - 22/02/2024 11:46 AM - Kanchan Barve

- Assignee set to Kanchan Barve

WFinstancelList()
Request
{
"slice": 7,
"entityid": "Oeb8da50-aece-1llee-bl68-3b192f7cd2b6",
"app": "retailsales",
"workflow": "customeronboarding",

"parent": 952
}

where all the parameters are optional.
Processing
The call will be open to any authenticated user from one of the whitelisted IP addresses. No specific capability is required.

It is possible that multiple parameters may be specified in the request, and there may be no record matching all those parameters. Only records which
match all search parameters will be returned.

All records matching the specified parameters will be returned in the response. All records whose parent field specifies one of the records in the result
set will also be returned, and this tree traversal will be done till all descendant nodes are included.

Response
{
"wfinstances": [{

"id": 8534,
"entityid": "bl71e684-b076-1lee-acfd-57353b1989cb",
"slice": 21,
"app": "retailbroking",
"class": "billofmaterial",
"workflow": "bomcreationintl",
"step": "bomassembled",
"loggedat": "2024-03-09T05:05:13z",
"doneat": "",
"nextstep": "bomassembled",

"parent": 243
oo Ao
"id": 9902,
"entityid": "0307£664-b077-11ee-9094-fb1893e66973",
"slice": 21,

"app": "retailbroking",

"class": "exportorder",

"workflow": "orderissue",

"step": "checkl",

"loggedat": "2024-03-03T09:25:44z",
"doneat": "",

"nextstep": "checkl",

}
where instances is an array of active workflow instances, with the fields having the usual meanings as defined in the wfinstance table.

The parent field will be omitted if no value has been set in a specific record. doneat will be empty if the step has not been marked done. The value of
nextstep will be the same as the value of step for sequential steps, and may be different in case of the records of a concurrent set of steps.

A specific entity (identified by the entityid) may have multiple workflows concurrently active -- Crux does not enforce any kind of restriction on this.

#4 - 22/02/2024 07:23 PM - Kanchan Barve
- % Done changed from 0 to 50

¢ WFInstanceList API development done.

#5 - 23/02/2024 12:45 PM - Kanchan Barve

- Status changed from In Progress to On Hold

#6 - 23/02/2024 03:51 PM - Kanchan Barve

- Status changed from On Hold to In Progress

#7 - 26/02/2024 02:44 PM - Kanchan Barve
- % Done changed from 50 to 80

- Status changed from In Progress to Testing

#8 - 27/02/2024 03:03 PM - Kanchan Barve
- % Done changed from 80 to 100

- Status changed from Testing to Closed
#9 - 27/02/2024 06:58 PM - Kanchan Barve

e Added request validations
